//
//  ViewController.m
//  CheckNetwork
//
//  Created by lotco on 2016. 3. 21..
//  Copyright © 2016년 lotco. All rights reserved.
//

#import "ViewController.h"
#import <AFNetworking/AFNetworking.h>
@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    /*
     AFNetworkReachabilityStatusUnknown          = -1,      //알수가 없음.
     AFNetworkReachabilityStatusNotReachable     = 0,       //네트워크 사용 불가
     AFNetworkReachabilityStatusReachableViaWWAN = 1,       //3g혹은 lte등 셀룰러 데이터로 연결되있는 상태
     AFNetworkReachabilityStatusReachableViaWiFi = 2,       //와이파이로 연결되있는 상태
    */
    
    //네트워크 상태를 모니터링한다
    [[AFNetworkReachabilityManager sharedManager] startMonitoring];

    [[AFNetworkReachabilityManager sharedManager] setReachabilityStatusChangeBlock:^(AFNetworkReachabilityStatus status) {
        if (status == AFNetworkReachabilityStatusNotReachable) {
            NSLog(@"네트워크 사용 할 수 없음");
        } else if (status == AFNetworkReachabilityStatusUnknown){
            NSLog(@"네트워크 상태 알 수 없음");
        } else {
            if (status == AFNetworkReachabilityStatusReachableViaWiFi) {
                NSLog(@"와이파이");
            } else if (status == AFNetworkReachabilityStatusReachableViaWWAN){
                NSLog(@"3G/LTE 등 셀룰러 네트워크");
            }
        }
    }];

    //모니터링 중지
//    [[AFNetworkReachabilityManager sharedManager] stopMonitoring];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
